---
title: Web Dev Hub Home
sections:
  - section_id: Intro
    type: section_hero
    title: 'I am a musician, electrical engineer & web developer'
    image: images/dtw-slideshow.gif
    content: "\n\n**Please note that this website is in development and is often broken!**\n\n[](https://www.vagrantup.com/)[![gmail](https://img.icons8.com/color/96/000000/gmail.png)](mailto:bryan.guner@gmail.com)[![](https://img.icons8.com/color/96/000000/youtube.png)][![linkedin](https://img.icons8.com/color/96/000000/linkedin.png)](https://www.linkedin.com/in/bryan-guner-046199128/)[![](https://img.icons8.com/color/96/000000/instagram-new.png)](https://www.instagram.com/bgoonz/?hl=en)[![](https://img.icons8.com/color/96/000000/pinterest--v1.png)](https://www.pinterest.com/bryanguner/\\_saved/)\n\n[](https://webpack.js.org/)[\_](https://www.adobe.com/products/xd.html)\n\n[![NetlifyStatus](https://api.netlify.com/api/v1/badges/a1b7ee1a-11a7-4bd2-a341-2260656e216f/deploy-status)](https://app.netlify.com/sites/bgoonz-blog/deploys)\n\n[![Bryansgithubactivitygraph](https://activity-graph.herokuapp.com/graph?username=bgoonz\\&custom_title=This%20is%20Bryans%20Activity\\&hide_border=true\\&theme=chartreuse-dark)](https://github.com/bgoonz/github-readme-activity-graph)\n\n![Jokes](https://readme-jokes.vercel.app/api)\n\n![Python](https://img.shields.io/badge/-Python-05122A?style=flat\\&logo=python)![HTML](https://img.shields.io/badge/-HTML-05122A?style=flat\\&logo=HTML5)![CSS](https://img.shields.io/badge/-CSS-05122A?style=flat\\&logo=CSS3\\&logoColor=1572B6)![JavaScript](https://img.shields.io/badge/-JavaScript-05122A?style=flat\\&logo=javascript)![React](https://img.shields.io/badge/-React-05122A?style=flat\\&logo=react)![Node.js](https://img.shields.io/badge/-Node.js-05122A?style=flat\\&logo=node.js)\n\n![VisualStudioCode](https://img.shields.io/badge/-Visual%20Studio%20Code-05122A?style=flat\\&logo=visual-studio-code\\&logoColor=007ACC)![Docker](https://img.shields.io/badge/-Docker-05122A?style=flat\\&logo=Docker)![MongoDB](https://img.shields.io/badge/-MongoDB-05122A?style=flat\\&logo=mongodb)![PostgreSQL](https://img.shields.io/badge/-PostgreSQL-05122A?style=flat\\&logo=postgresql)\n\n![Git](https://img.shields.io/badge/-Git-05122A?style=flat\\&logo=git)![GitHub](https://img.shields.io/badge/-GitHub-05122A?style=flat\\&logo=github)![GitLab](https://img.shields.io/badge/-GitLab-05122A?style=flat\\&logo=gitlab)\n\n![Markdown](https://img.shields.io/badge/-Markdown-05122A?style=flat\\&logo=markdown)"
    actions:
      - label: Contact
        url: 'https://sidebar-blog.netlify.app/contact/'
        style: secondary
        icon_class: linkedin
        new_window: true
        no_follow: false
        type: action
  - section_id: features
    type: section_grid
    col_number: three
    grid_items:
      - content: |
          Memoization, Tabulation, and Sorting Algorithms by Example
          Why is looking at runtime not a reliable method of calculating time
          complexity?
        actions:
          - label: View Post
            url: /docs/ds-algo/big-o/
            style: secondary
        title: A Quick Guide To Big O
        image: images/my-back.png
        title_url: >-
          https://medium.com/star-gazers/a-quick-guide-to-big-o-notation-memoization-tabulation-and-sorting-algorithms-by-example-803ff193c522
      - content: |
          *Python has a built in help function that let's you see a description
          of the source code without having to navigate to it… "-SickNasty …
          Autor Unknown"  .*
        actions:
          - label: View Posts
            url: >-
              https://bgoonz-blog.netlify.app/docs/python/python-ds
            style: secondary
        image_alt: python
        title: Python Guide
        title_url: 'https://bgoonz-blog.netlify.app/docs/python/python-ds'
        image: images/smiling-maple.png
      - content: |
          <div id="search"></div> <div id="search" />
        actions:
          - label: Learn More
            url: /docs/tools
            style: secondary
        title: Guitar Effects Triggering w DTW
        title_url: 'https://github.com/bgoonz/Revamped-Automatic-Guitar-Effect-Triggering'
        image: images/panoramic-owl.png
      - title_url: 'https://bryanguner.medium.com/introductory-react-part-2-cda01615a186'
        image_alt: img of dtw
        content: |
          As I learn to build web applications in React I will blog about it in
          this series in an attempt to capture the questions that a complete
          beginner might encounter that a more seasoned developer would take for
          granted!
        actions: []
        type: grid_item
        title: Beginner Guide React
        image: images/successful-panda.gif
      - title_url: 'https://dev.to/bgoonz/scope-and-context-in-javascript-5cma'
        image_alt: img of react
        content: "Scope & Context in JS\n\nThe\_**scope**\_of a program in JavaScript is the set of variables that are available for use within the program. \n"
        actions: []
        type: grid_item
        image: images/pleasant-birch.png
        title: Scope & Closure
      - image_alt: Every idea needs a medium
        content: |
          PostgreSQL Cheat Sheet, Everything You Need to View Post With VSCode
          + Extensions & Resources, Super Simple Intro To HTML,  Understanding
          Git... etc....
        actions: []
        type: grid_item
        title: Web Audio Daw
        image: images/7a8bc98e902a2f6dea90386cdfb154c2-2d55c637.png
  - title: Current Interests
    section_id: interests
    subtitle: From github repositories to existential questions.
    col_number: three
    grid_items:
      - title: Angolia
        title_url: angolia
        image_alt: angolia
        content: |
          ## Full Text Search
          [Full Text Search](https://www.algolia.com/)
          ## &#xA;
        actions: []
        type: grid_item
        image: images/spectacular-turmeric.png
      - title: Convolutional Neural Networks
        title_url: neural networks
        image_alt: neural networks
        content: >
          Artificial neural networks, usually simply called neural networks, are
          computing systems vaguely inspired by the biological [neural
          networks](https://github.com/tensorflow/tensorflow)![](/\_static/app-assets/neural.PNG)
        actions: []
        type: grid_item
        image: images/neural.PNG
      - title: Jamstack
        title_url: jamstack
        image_alt: jamstack
        content: |
          ##### Why Jamstack Jamstack is the new standard architecture for the
          web. Using Git workflows and modern build tools, pre-rendered content
          is served to a CDN and made dynamic through APIs and serverless
          functions. Technologies in the stack include JavaScript frameworks,
          Static Site Generators, Headless CMSs, and CDNs.
        actions: []
        type: grid_item
        image: images/jamstack.png
      - title: Asynchronous JavaScript
        title_url: /docs/
        image_alt: event loop
        content: "The term\_**asynchronous**\_refers to\_two or more objects or events\_**not**\_existing or happening at the same time (or multiple related things happening without waiting for the previous one to complete).\_In computing, the word \"asynchronous\" is used in two major contexts.\n\n"
        actions:
          - label: Learn More
            url: 'https://www.allaboutthejersey.com/'
            style: secondary
            icon_class: dev
            new_window: false
            no_follow: false
        type: grid_item
        image: images/eventloop.gif
      - title: NJ Devils
        image_alt: nj-devils
        content: "# New Jersey Devils Hockey Team\n\n### (Hockey in general)\n\n## Team identity\n\n[![](https://upload.wikimedia.org/wikipedia/en/thumb/d/da/OldDevils.png/300px-OldDevils.png)](https://en.wikipedia.org/wiki/File:OldDevils.png)\n\nThe old green style jerseys used from 1982 to 1992The jerseys used from 1992 to 2017[Sean Avery](https://en.wikipedia.org/wiki/Sean_Avery)\_of the\_[New York Rangers](https://en.wikipedia.org/wiki/New_York_Rangers)\_attempts to distract Brodeur during the\_[2008 Stanley Cup playoffs](https://en.wikipedia.org/wiki/2008\\_Stanley_Cup_playoffs). The playoff series was the fifth to feature the\_[Devils-Rangers rivalry](https://en.wikipedia.org/wiki/Devils%E2%80%93Rangers_rivalry).\n"
        actions:
          - label: Learn More
            url: 'https://www.iter.org/'
            style: secondary
            icon_class: dev
            new_window: false
            no_follow: false
        type: grid_item
        image: images/njdev-219301cd.jpg
        title_url: 'https://www.allaboutthejersey.com/'
      - title: ITER Fusion Reactor Experiment (Southern France)
        title_url: >-
            https://www.iter.org/
        image_alt: ITER Reactor
        content: |
          # Break Even Nuclear Fusion Candidate
          In December, researchers at the Joint European Torus (JET) started
          conducting fusion experiments with tritium — a rare and radioactive
          isotope of hydrogen. The facility is a one-tenth-volume mock-up of the
          US$22-billion ITER project and has the same doughnut-shaped 'tokamak'
          design — the world's most developed approach to fusion energy. It is
          the first time since 1997 that researchers have done experiments in a
          tokamak with any significant amount of tritium.
        actions: []
        type: grid_item
        image: images/ iter.jpg
    type: section_grid
  - section_id: features-two-col
    type: section_grid
    title: Resume & Portfolio
    col_number: two
    grid_items:
      - title: Resume
        actions:
          - label: View In One Drive
            url: 'https://1drv.ms/b/s!AkGiZ9n9CRDSpLsZsnPtiN7p77vq6A'
            style: secondary
          - label: lorem-ipsum
            url: '#'
            style: link
            icon_class: dev
            new_window: false
            no_follow: false
          - label: Download PDF
            url: >-
              https://github.com/bgoonz/bgoonz/raw/master/bryan_guner_resume_2021_V9.pdf
            style: secondary
            icon_class: dev
            new_window: false
            no_follow: false
            type: action
        image: images/image-of-resume.png
        title_url: >-
          https://github.com/bgoonz/resume-cv-portfolio-samples/raw/master/2021-resume/bryan-guner-resume-2021.pdf
      - title: Showcase
        content: |
          ![](/\_static/app-assets/lambda-demo1.gif)My Projects!
        actions:
          - label: Learn More
            url: /showcase
            style: secondary
        image_alt: portfolio of websites
        image: images/portfolio-91689538.jpg
  - title: Blog-Archive-And-Mini-Projects
    section_id: Mini Projects
    image_alt: showcase
    image_position: left
    content: >-
          <iframe src="https://random-static-html-deploys.netlify.app" class="block-content" width="100%  width="1200px!important" height="1000px!important"></iframe>

    actions: []
    type: section_content
  - title: Latest & Greatest
    section_id: new content
    image_alt: animated gif
    image_position: right
    content: |
      # ***What I've been working on lately:***
      ## Web Dev Utilitiy Tools
      <iframe class="block-content" width="100%  width="1200px!important"
      height="1000px!important"
        src="https://web-dev-utility-tools-bgoonz.netlify.app/"
        clipboard-write;
        encrypted-media; gyroscope; ></iframe>
      <iframe class="block-content" width="100%  width="1200px!important"
      height="1000px!important"
        src="https://cheatsheets-42.netlify.app/"
        clipboard-write;
        encrypted-media; gyroscope; ></iframe>
      <iframe class="block-content" width="100%  width="1200px!important"
      height="1000px!important"
        src="https://bgoonz.github.io/fb-and-twitter-api-embeds/"
        clipboard-write;
        encrypted-media; gyroscope; ></iframe>
    actions: []
    type: section_content
    image: images/cool annimation.gif
  - section_id: tools
    image_alt: lorem-ipsum
    image_position: left
    content: |
      ![](images/static-server-5bf5ad2d.PNG)Tool Showcase
      https://bgoonz-blog.netlify.app/docs/tools/
    actions: []
    type: section_content
    title: Tools Showcase
  - section_id: Web Audio DAW
    image_alt: medium
    image_position: left
    actions:
      - label: Go To Web Audio Daw
        url: 'https://mihirbegmusiclab.netlify.app/'
        style: primary
        icon_class: dev
        new_window: true
        no_follow: false
        type: action
    type: section_content
    title: Web Audio DAW
    image: images/goals.jpg
  - title: Quick Links
    section_id: navigate from the home page
    col_number: two
    type: section_docs
    subtitle: quick links home
  - title: Contact
    section_id: contact
    actions:
      - label: Contact
        url: /docs/faq/contact
        style: primary
        icon_class: dev
        new_window: false
        no_follow: false
        type: action
      - label: email
        url: 'mailto:bryan.guner@gmail.com'
        style: primary
        icon_class: dev
        new_window: false
        no_follow: false
      - label: Subscribe (Youtube)
        url: ' https://www.youtube.com/channel/UC9-rYyUMsnEBK8G8fCyrXXA?sub_confirmation=1'
        style: primary
        icon_class: dev
        new_window: false
        no_follow: false
    type: section_cta
    subtitle: get in touch! +1 (551) - 254 - 5505
seo:
  title: Web-Dev-Hub
  description: |-
    bigO, Python, Javascript, Audio, Processing, Learning, Blog, React,
    PostgreSQL, Scope, Closure, Web Development, Embed, API, Website, Design,
    Music, Search
  extra:
    - name: 'og:type'
      value: website
      keyName: property
    - name: 'og:title'
      value: Web-Dev-Hub
      keyName: property
    - name: 'og:description'
      value: |-
        my resource sharing and blog site ... centered mostly on web development
        and just a bit of audio production / generally nerdy things I find
        interesting.
      keyName: property
    - name: 'og:image'
      value: images/code.png
      keyName: property
      relativeUrl: true
    - name: 'twitter:card'
      value: summary_large_image
    - name: 'twitter:title'
      value: Web-Dev-Hub
    - name: 'twitter:description'
      value: Web-Dev-Hub
    - name: 'twitter:image'
      value: images/4.jpg
      relativeUrl: true
template: advanced
---
